{ pkgs, ... }:
let baseUrl = "paperless.ewanick.com";
in
{
  services.paperless = {
    enable = true;
    address = "localhost";
    port = 28981;
  };

  services.caddy = {
    enable = true;
    virtualHosts = {
      "${baseUrl}" = {
        extraConfig = ''
          reverse_proxy localhost:28981
        '';
      };
    };
  };
}
